Page MenuHomePhabricator

Account creation throttle exception for WIkipedia Editathon at Ohio State University on 2016-11-02
Closed, ResolvedPublic

Description

A department here at Ohio State University wants to run a wikipedia editathon.
I am in-charge of this room where the event will occur on Nov 02.
I was told that the computers here in the room (I have 25) will need special account creation caps lifted. I know the IP of the computers are in the range of 140.254.114.***. Will it possible to do this on these set of IPs on Nov 2.
Please see details of the event here -
Please contact me directly with questions.
Sujan


Sujan Manandhar
Distance Learning and Technology Manager
Ohio State University
Columbus OH 43210
Phone - 614–247-2048
@aarkae

Details

Related Gerrit Patches:

Event Timeline

Aarkae01 created this task.Oct 26 2016, 3:20 PM
Restricted Application added subscribers: JEumerus, Matanya, Aklapper. · View Herald TranscriptOct 26 2016, 3:20 PM
Aklapper renamed this task from Wikimedia-Site-requests to Account creation throttle exception for WIkipedia Editathon at Ohio State University on 2016-11-02.Oct 26 2016, 3:22 PM
Urbanecm claimed this task.Oct 26 2016, 5:16 PM
Urbanecm added a subscriber: Urbanecm.

Will work at it at home.

Restricted Application added a project: User-Urbanecm. · View Herald TranscriptOct 26 2016, 5:16 PM
Urbanecm triaged this task as Medium priority.Oct 26 2016, 5:16 PM

FYI
Subnet for the room for this event: 140.254.110.0/23

Thanks a lot, this will help.

Which project will you edit? I.e. which projectes should be affected by the lift? English Wikipedia? Another Wikipedia?

Change 318141 had a related patch set uploaded (by Urbanecm):
Account creation throttle exception for WIkipedia Editathon at Ohio State University on 2016-11-02

https://gerrit.wikimedia.org/r/318141

They will be translating from Spanish and Portuguese Wikipedia into English
Wikipedia.
This grants application page has some details -
https://meta.wikimedia.org/wiki/Grants:Project/Rapid/Spanish_and_Portuguese_edit-a-thon#Project_Goal
Thanks

Okay. You'll be able to create account at Spanish, Portuguese and English Wikipedia. Then you'll be able to edit anywhere. Is it okay for you?

Yes thanks. So with the setting changes you have made (?) the students
should be able to create their own accounts and edit the pages using the
laptops in the room, right?
Sincerely,
Sujan

Yes, you're right.

Only a technical note, I've uploaded a new patchset only. It must be reviewed by somebody else and then deployed. This will happen tomorrow between 13:00 and 14:00 UTC and I'll take care about it. Then I (or somebody else) will close this task.

But everything will work during the event.

Urbanecm moved this task from Backlog to To deploy on the User-Urbanecm board.

Change 318141 merged by jenkins-bot:
[throttle] Rule for Wikipedia Editathon at Ohio State University on 2016-11-02

https://gerrit.wikimedia.org/r/318141

Urbanecm closed this task as Resolved.Oct 27 2016, 1:12 PM

Deployed, all should work in November.